<?php
$this->headLink()
    ->prependStylesheet('https://use.fontawesome.com/releases/v5.0.6/css/all.css')
    ->prependStylesheet('https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css');
$this->inlineScript()
    ->prependFile('https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js')
    ->prependFile('https://code.jquery.com/jquery-3.3.1.min.js');
?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <link rel="shortcut icon" href="https://framework.zend.com/ico/favicon.ico" />
    <?=$this->headTitle('zend-expressive')->setSeparator(' - ')->setAutoEscape(false)?>
    <?=$this->headMeta()?>
    <?=$this->headLink()?>
    <style>
        body { padding-top: 70px; }
        .app { min-height: 100vh; }
        .app-footer { padding-bottom: 1em; }
        .zf-green, h2 a { color: #68b604; }
    </style>
</head>
<body class="app">
<header class="app-header">
    <nav class="navbar navbar-expand-sm navbar-dark bg-dark fixed-top" role="navigation">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggler" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="#navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <!-- Brand -->
                <a class="navbar-brand" href="<?=$this->url('home')?>">
                    <img src="https://framework.zend.com/images/logos/zf-logo-mark.png" alt="Zend Expressive" height="28" />
                </a>
            </div>
            <!-- Links -->
            <div class="collapse navbar-collapse" id="navbarCollapse">
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item">
                        <a href="https://docs.zendframework.com/zend-expressive" target="_blank" class="nav-link">
                            <i class="fa fa-book"></i> Docs
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="https://github.com/zendframework/zend-expressive" target="_blank" class="nav-link">
                            <i class="fa fa-wrench"></i> Contribute
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="<?=$this->url('api.ping')?>" class="nav-link">
                            Ping Test
                        </a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
</header>

<div class="app-content">
    <main class="container">
        <?=$this->content?>
    </main>
</div>

<footer class="app-footer">
    <div class="container">
        <hr />
        <p>
            &copy; 2005 - <?=date('Y')?> by Zend Technologies Ltd. All rights reserved.
        </p>
    </div>
</footer>

<?=$this->inlineScript()?>
</body>
</html>
